<?php

/**
 * @file
 * Token hook implementations.
 */

/**
 * Implements hook_tokens().
 */
function drupalforge_token_tokens($type, $tokens, array $data = array(), array $options = array()) {
  $replacements = array();
  if ($type == 'drupalforge') {
    foreach ($tokens as $template => $token) {
      if (is_numeric($template)) {
        $widget = array(
          '#type' => 'html_tag',
          '#tag' => 'webform-component',
          '#attributes' => array(
            'host' => 'https://www.drupalforge.org',
            'templateid' => $template,
          ),
          '#attached' => array(
            'js' => array(
              'https://www.drupalforge.org/modules/custom/starshot_core/assets/js/webform-component.js',
            ),
          ),
        );
        $replacements[$token] = drupal_render($widget);
      }
    }
  }
  return $replacements;
}
